# data store

Welcome to the data store module!!

You will find here access to various data store including relational, documented oriented, key/value, etc. But also, several mapping tools and/or utilities or data store extensions.

Let's see what modules are available:

# jdbc

## hikari connection pool

The [jdbc](/doc/jdbc) module provides a high performance connection pool for jdbc via {{hikari}}.

## Ebean

The [ebean](/doc/ebean) module provides object relational mapping via {{ebean}}.

## Hibernate

The [hibernate](/doc/hbm) module provides object relational mapping via {{hibernate}}.

## jdbi

The [jdbi](/doc/jdbi) module provides a fluent and lightweight SQL library for *jdbc*.

## jooq

The [jOOQ](/doc/jooq) module lets you build type safe SQL queries through its fluent API.

## querydsl

The [querydsl](/doc/querydsl) module provides unified Queries for SQL. [Querydsl](http://www.querydsl.com/) is compact, safe and easy to learn.

The [querydsl-jpa](/doc/querydsl-jpa) provides unified Queries for JPA. [Querydsl](http://www.querydsl.com/) is compact, safe and easy to learn.

## rxjdbc

The [rxjdbc](/doc/rxjava-jdbc) provides efficient execution, concise code, and functional composition of database calls using JDBC and RxJava Observable

## flyway (database migration)

The [flyway](/doc/flyway) module provides database migrations via {{flyway}}.

# NoSQL

## cassandra

The [cassandra](/doc/cassandra) module provides access to {{cassandra}} instances.

## couchbase

The [couchbase](/doc/couchbase) module provides access to {{couchbase}} instances.

## mongodb

The [mongodb](/doc/mongodb) module provides access to {{mongodb}} instances.

## jongo

The [jongo](/doc/jongo) module provides query in Java as in Mongo Shell.

## morphia

The [morphia](/doc/morphia) module provides object to document mapper via {{morphia}}.

## mongodb-rx

The [mongodb-rx](/doc/mongodb-rx) module provides composable asynchronous and event-based observable sequences for {{mongodb}}.
